
:- [bheart].                            % consulting the Beating Heart

%:-assert(bheart(debug)).		% to enable b heart debugging

:-hml_load('therm-model.hml').          % loading up model.

                                        % defining i/o routines
% day
io(att_7,ro_trigger,get_day).
% month
io(att_8,ro_trigger,get_month).
% hour
io(att_10,ro_trigger,get_hour).

% thermostat_settings
io(att_11,wo_trigger,set_temperature).

get_day([Day]):-
	write('Day of week (in double quotes, ending with period: "tue".):'),
	read(Day).
get_month([Month]):-
	write('Month (numeric):'),
	read(Month).
get_hour([Hour]):-
	write('Hour (numeric):'),
	read(Hour).

set_temperature(X,X) :-
	write('temperature->>>:'),write(X),nl.

                                        % starting the inference process
:-run_xtt_single(xtt_0).

